Subject: Re: Proxy-Server - SSH - strong Cipher crash x2Go-Client

From: Adam Dorsey - NOAA Affiliate <[email-masked]>
Date: Tue, 17 Aug 2021 11:41:30 -0400

A quick update for this bug:

Today I tested the same scenario (Cipher aes128-ctr) on our test cluster
using the latest Windows snapshot client, version
4.1.2.3-2021.07.13-df4a8ec.  The issue as described in this bug report is
still present.

Thanks,
Adam

On Fri, Mar 19, 2021 at 2:28 PM Adam Dorsey - NOAA Affiliate <
[email-masked]> wrote:

> I can confirm this issue in my own environment as well.  X2Go server
> version is 4.1.0.3-9.el7 running on CentOS 7.  Affected users are running
> X2Go client version 4.1.2.2 on Windows 10 (though this may affect other
> Windows versions as well).
>
> We forced the use of the aes128-ctr cipher yesterday on our cluster login
> nodes to resolve a security issue raised by our security team.  To do this,
> we added the following line to our SSH server config file:
>
> Ciphers aes128-ctr
>
> After making this change, several users running the X2Go client on Windows
> 10 could no longer connect.  We found this bug report, and subsequently
> reverted the above change, which resolved the issue.
>
> Please note that Linux clients appeared to be unaffected by this issue; I
> was able to connect from a workstation running X2Go client version 4.1.2.2
> on Ubuntu Linux 20.04 without any issues.
>
> --
> Adam Dorsey
> NOAA RDHPCS Systems Administrator Site Lead
> CSRA / RedLine Performance Solutions, LLC
>
> NOAA NESCC
> 1000 Galliher Drive, Suite 333, Fairmont, WV 26554
> office: (304) 367-2882
> cell: (304) 685-9345
> [email-masked]
>

-- 
Adam Dorsey
NOAA RDHPCS Systems Administrator Site Lead
CSRA / RedLine Performance Solutions, LLC

NOAA NESCC
1000 Galliher Drive, Suite 333, Fairmont, WV 26554
office: (304) 367-2882
cell: (304) 685-9345
[email-masked]